Subject: Re: bug#18051: 24.3.92; ls-lisp: Sorting; make ls-lisp-string-lessp a normal function?

From: Michael Heerdegen <[email-masked]>
Date: Fri, 18 Jul 2014 12:18:19 +0200

Eli Zaretskii <[email-masked]> writes:

> From my POV, making sure the package always behaves as designed, I
> guess.  You agreed with my motivation, so it sounds like a
> contradiction to me to still push for the change.

Seems I again misunderstood what you meant with:

> [...]  So I will generally oppose to introducing any option into it
> that cannot be had with an external 'ls' program, as long as the
> latter is the main method of getting a

I had read that as introducing "user options", but you obviously meant
introducing options for changing the behavior using any means.

> Anyway, if others think the comparison of file names should be up for
> grabs, I won't fight the change just because I think it's wrong.

At least we agree that there's room for improvement.

Anyway, what I want to reach:

  (1) sort in files starting with a dot as if they had no dot
  (2) -v sorting (sorting versions correctly)

isn't that both possible with ls?  (2) obviously; I think (1) depends on
the system's language setting?